Spot Products API

Spot - Products

API Description

This API allows Spot customers to request the Products available in the Tenaris Spot marketplace catalog.

| Operation | Description | Specification |

| GET /spot/products | Retrieve Spot products catalog | GET |

Environments

Static mock:

URL https://customerapi-dev.azure-api.net/public/spot/products

Sandbox:

URL https://customerapi-dev.azure-api.net/sb/spot/products

Production:

URL https://customerapi-dev.azure-api.net/spot/products

Test this operation

curl -X GET "https://customerapi-dev.azure-api.net/sb/spot/products?pageSize=10&pageNumber=1" \

-H "Authorization: Bearer {access_token}"

Response:

{

"page": {"pageSize": 10, "pageNumber": 1, "pageLimit": 1, "code": 200},

"results": [

{

"id": "SP-4521",

"description": "7\" 26.00# L80 BTC R3",

"grade": "L80",

"connection": "BTC",

"range": "R3",

"availableQuantity": 500,

"uom": "ST",

"warehouse": {"id": "W002", "description": "Houston Yard"}

}

]

}

Errors

| ERROR | DESCRIPTION |

| 401 | ERROR IN TOKEN VALIDATION. |

| 403 | USER NOT AUTHORIZED. |

| 404 | PAGING PARAMETERS ERROR. |

| 500 | GENERAL ERROR. |